Bug 630064 (CVE-2010-3168)

Summary: CVE-2010-3168 Mozilla XUL tree removal crash and remote code execution (MFSA 2010-55)
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ddumas, gecko-bugs-nobody, security-response-team, stransky, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100907,reported=20100901,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4.8.z/firefox=affected,rhel-5.5.z/firefox=affected,rhel-6.0/firefox=affected,rhel-3/seamonkey=affected,rhel-4.9/seamonkey=affected,rhel-4/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 17:52:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2010-09-03 11:56:38 EDT
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that XUL <tree> objects could be manipulated such that the
setting of certain properties on the object would trigger the removal of
the tree from the DOM and cause certain sections of deleted memory to be
accessed. An attacker could potentially use this vulnerability to crash a
victim's browser and run arbitrary code on their computer.
Comment 1 Vincent Danen 2010-09-07 19:27:13 EDT
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-55.html
Comment 2 errata-xmlrpc 2010-09-07 20:06:51 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0682 https://rhn.redhat.com/errata/RHSA-2010-0682.html
Comment 3 errata-xmlrpc 2010-09-07 20:34:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html
Comment 4 errata-xmlrpc 2010-09-07 21:10:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0680 https://rhn.redhat.com/errata/RHSA-2010-0680.html